DX.Utils 1.0.0.5

.NET Standard 2.0 .NET Framework 4.0
There is a newer version of this package available.
See the version list below for details.
Install-Package DX.Utils -Version 1.0.0.5
dotnet add package DX.Utils --version 1.0.0.5
<PackageReference Include="DX.Utils" Version="1.0.0.5" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add DX.Utils --version 1.0.0.5
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: DX.Utils, 1.0.0.5"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install DX.Utils as a Cake Addin
#addin nuget:?package=DX.Utils&version=1.0.0.5

// Install DX.Utils as a Cake Tool
#tool nuget:?package=DX.Utils&version=1.0.0.5
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Several C# utility classes and extension methods

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net40 net403 net45 net451 net452 net46 net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (4)

Showing the top 4 NuGet packages that depend on DX.Utils:

Package Downloads
DX.Data.Xpo

Several XPO Related Helper classes

DX.Data.Xpo.Identity

XPO Based storage provider for ASP.NET Identity

DX.Data.Xpo.Mvc

Several extension classes and methods on DevExpress MVC Controls, XPO and XPDataStore implementations. This package needs an active DevExpress ASP.NET license

DX.Data.EF

DataStore implementation for use with EF

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
20.1.7.19 504 12/20/2021
20.1.7.18 1,789 3/12/2021
20.1.7.17 179 3/12/2021
20.1.7.16 971 10/12/2020
20.1.2.14-pre-20064 307 4/6/2020
1.0.0.14 1,295 1/17/2020
1.0.0.12 645 12/20/2019
1.0.0.11 642 12/17/2019
1.0.0.10 807 7/17/2019
1.0.0.9 746 6/6/2019
1.0.0.8 2,050 9/11/2018
1.0.0.7 842 8/27/2018
1.0.0.6 1,839 2/24/2018
1.0.0.5 1,026 12/8/2017
1.0.0.4 685 12/8/2017
1.0.0.3 1,079 11/7/2017
1.0.0.2 1,384 9/29/2017
1.0.0.1 1,286 9/8/2017

Initial dual mode package for .NET Framework and .NET Standard 2.0
Some features don't work yet on .NET Standard 2.0